---
title: llarp::log_timestamp

---

# llarp::log_timestamp





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[log_timestamp](Classes/structllarp_1_1log__timestamp.md#function-log-timestamp)**() |
| | **[log_timestamp](Classes/structllarp_1_1log__timestamp.md#function-log-timestamp)**(const char * fmt) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| const char * | **[format](Classes/structllarp_1_1log__timestamp.md#variable-format)**  |
| const Duration_t | **[now](Classes/structllarp_1_1log__timestamp.md#variable-now)**  |
| const Duration_t | **[delta](Classes/structllarp_1_1log__timestamp.md#variable-delta)**  |

## Public Functions Documentation

### function log_timestamp

```cpp
log_timestamp()
```


### function log_timestamp

```cpp
explicit log_timestamp(
    const char * fmt
)
```


## Public Attributes Documentation

### variable format

```cpp
const char * format;
```


### variable now

```cpp
const Duration_t now;
```


### variable delta

```cpp
const Duration_t delta;
```


-------------------------------

Updated on 2022-05-31 at 19:24:36 +0000